{-----------------------------------------------------------------------------

	         A LIBRARY OF FUNCTIONAL STRATEGY COMBINATORS

		                  StrategyLib

                   Ralf Laemmel                Joost Visser
               CWI & VU, Amsterdam          CWI & SIG, Amsterdam

This module is part of a library of functional strategy combinators,
including combinators for generic traversal. This is the top-level
module of the library. One only needs to import this module to use the
entire library.

-----------------------------------------------------------------------------} 
module StrategyLib (

 module StrategyPrelude,
 module StrategyInfix,

 module OverloadingTheme,
 module TraversalTheme,
 module FlowTheme,
 module FixpointTheme,
 module KeyholeTheme,
 module NameTheme,
 module PathTheme,
 module EffectTheme,
 module ContainerTheme,
-- hugs October 2002 version does not cover HaXml
-- works fine with hugs December 2002 and GHC 5.0?
-- module XmlTheme,
 module RefactoringTheme,
 module MetricsTheme,
 
 module MoreMonoids,
 module ChaseImports

) where


import StrategyPrelude
import StrategyInfix

import OverloadingTheme
import FixpointTheme
import PathTheme
import NameTheme
import KeyholeTheme
import EffectTheme
import ContainerTheme hiding (modify)
import FlowTheme
import TraversalTheme
-- hugs October 2002 version does not cover HaXml
-- works fine with hugs December 2002 and GHC 5.0?
-- import XmlTheme
import RefactoringTheme
import MetricsTheme

import MoreMonoids
import ChaseImports

